using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VRageMath;

namespace UIFun.Menu
{
	public class HudMenu : MenuObject
	{
		//parent object for all menus, layout is defined here. 
		bool m_Active = false;
		public HudMenu(Vector2D position, bool visible = true, MenuObject parent = null, Action mouseOver = null, Action onClick = null) : base(position, visible, parent, mouseOver, onClick )
		{

        }
		override public bool IsActive
		{
			get
			{
				return m_Active;
			}
			set
			{
				m_Active = value;
			}
		}

		public override void Draw()
		{
			//draw our actual object we do this from our screen position. 
			base.Draw(); 
		}
		public override void OnClick(Vector2D Position)
		{
			base.OnClick(Position);
		}
		public override void OnMouseRelease(Vector2D Position)
		{
			base.OnMouseRelease(Position);
        }
    }
}
